Subject: Re: [PATCH v5 00/16] Add Paravirtual RDMA Driver

From: Jason Gunthorpe <jgunthorpe-ePGOBjL8dl3ta4EC/59zMFaTQe2KTcn/@public.gmane.org>
Date: Mon, 26 Sep 2016 15:07:24 -0600

On Mon, Sep 26, 2016 at 01:40:10PM -0700, Adit Ranadive wrote:

> Wouldnt they be some overlap between the user-space and kernel driver? Or is
> it expected that the common structures (even device specific ones) be moved to
> the ABI file?

Yes, even device specific structures must be in the abi file. Anything
that is used with copy_to_user/copy_from_user/etc.

> For the mlx4 driver I see that the structures in include/linux/mlx4/qp.h
> and in libmlx4/src/wqe.h are similar.

We are trying to clean exactly that sort of stuff up, please try not
to add more.

Jason
--
To unsubscribe from this list: send the line "unsubscribe linux-rdma" in
the body of a message to [email-masked]
More majordomo info at  http://vger.kernel.org/majordomo-info.html